#!/usr/bin/python3

# code adapted from https://github.com/sanand0/orderedattrdict

from orderedattrdict import AttrDict

conf = AttrDict()
conf['z'] = 1
assert conf.z == 1
conf.y = 2
assert conf['y'] == 2
conf.x = 3
assert list(conf.keys()) == ['z', 'y', 'x']
